// Copyright 2022 Bitcoding
// See the License for the specific language governing permissions and
// limitations under the License.

package com.btcpiyush.ads.google_applovin_unity_ads;

import android.content.Context;

import androidx.annotation.NonNull;

import com.google.android.gms.ads.AdView;
import com.google.android.gms.ads.admanager.AdManagerAdView;

/** Creates AdView and AdManagerAdViews for banner ads. */
public class BannerAdCreator {

  @NonNull private final Context context;

  public BannerAdCreator(@NonNull Context context) {
    this.context = context;
  }

  /** Create a new {@link AdManagerAdView}. */
  public AdManagerAdView createAdManagerAdView() {
    return new AdManagerAdView(context);
  }

  /** Create a new {@link AdView}. */
  public AdView createAdView() {
    return new AdView(context);
  }
}
